Bug 1253256 - CVE-2015-5161 php-ZendFramework2: php-ZendFramework: XML external entity injection (XXE) on PHP FPM [epel-7]
CVE-2015-5161 php-ZendFramework2: php-ZendFramework: XML external entity inje...
Status: CLOSED NEXTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: php-ZendFramework2 (Show other bugs)
epel7
All Linux
high Severity high
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5161
  Show dependency treegraph
 
Reported: 2015-08-13 06:29 EDT by Adam Mariš
Modified: 2015-09-14 23:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4.7-2.el7
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-14 23:53:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-08-13 06:29:20 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

epel-7 tracking bug for php-ZendFramework2: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-08-13 06:29:26 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1253250,1253256

# Description of your update
notes=Security fix for CVE-2015-5161

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1253250,1253256
Comment 2 Fedora Update System 2015-08-28 17:42:49 EDT
php-guzzle-Guzzle-3.9.3-5.el7 php-ZendFramework2-2.4.7-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7845
Comment 3 Fedora Update System 2015-08-30 13:47:40 EDT
php-ZendFramework2-2.4.7-2.el7, php-guzzle-Guzzle-3.9.3-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-ZendFramework2 php-guzzle-Guzzle'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7845
Comment 4 Fedora Update System 2015-09-14 23:53:33 EDT
php-ZendFramework2-2.4.7-2.el7, php-guzzle-Guzzle-3.9.3-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.